Cannot Upgrade StoreFront 2.0 to 2.1

Today I was upgrading a StoreFront 2.0 installation to and I get the following error message.

An error occured during installation. Please ensure all the required prerequisites have been installed and run the installer again.

I checked and all prerequisites were listed.

The Windows Application event log also logged the following entry

Event ID: 0
Source: Citrix Extensible Meta-Installer

Timestamp: 2/6/2014 2:32:27 PM
Category:Error, WinError
Message:Installation of ‘..CitrixStoreFront-x64.msi’ failed with error code 1603. Fatal error during installation

After a little fancy googling, I was able to come up with two things that solved my issue.


  • Delete C:ProgramDataCitrixStorefront Install2.0.0.90FrameworkFramework.xml
  • Delete any and all thumbs.db files from c:inetpubwwwrootCitrix
    • In my case it was C:inetpubwwwrootCitrixstoreWebmedia

2 Responses to Cannot Upgrade StoreFront 2.0 to 2.1

  1. Sir this was very helpful, thanks for posting!! worked on Storefront upgrade 1.2 to 2.0

  2. PEEERRRFEEECTTTT!!!! Looking ages for this! Was trying to go from 2.0 to 2.5